Asterisk Project : Asterisk 11 Function_FILTER This page last changed on Jul 20, 2012 by wikibot. # FILTER() ### Synopsis Filter the string to include only the allowed characters ### Description Permits all characters listed in allowed-chars, filtering all others outs. In addition to literally listing the characters, you may also use ranges of characters (delimited by a `-` Hexadecimal characters started with a `\x`(i.e. \x20) Octal characters started with a `\0` (i.e. \040) Also `\t`,`\n` and `\r` are recognized.
| Note If you want the `-` character it needs to be prefixed with a {{}}
### Syntax
    FILTER(allowed-chars,string)
##### Arguments `allowed-chars` `string` ### Import Version This documentation was imported from Asterisk Version SVN-trunk-r370328

Document generated by Confluence on Nov 02, 2012 17:42